function Protwarbar:UpdateRageBar(power)
	local PWB = Protwarbar:getPWB()

	RageBar:SetValue(power)


	if power < 20  then
		RageBar:SetStatusBarColor(PWB.db.profile.color20.r, PWB.db.profile.color20.g,
			PWB.db.profile.color20.b, PWB.db.profile.color20.a)
	elseif power < 60 then
		RageBar:SetStatusBarColor(PWB.db.profile.color60.r, PWB.db.profile.color60.g,
			PWB.db.profile.color60.b, PWB.db.profile.color60.a)
	elseif power < PWB.maxPower then
		RageBar:SetStatusBarColor(PWB.db.profile.color100.r, PWB.db.profile.color100.g,
			PWB.db.profile.color100.b, PWB.db.profile.color100.a)
	else
		RageBar:SetStatusBarColor(PWB.db.profile.colorMax.r, PWB.db.profile.colorMax.g,
			PWB.db.profile.colorMax.b, PWB.db.profile.colorMax.a)
	end

	RageBarText:SetText(power)
end